import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

class MyButton extends StatelessWidget {
  final double width;
  final double height;
  final Color color;
  final Widget child;
  final Function onPress;
  final bool isLoading;
  final double borderRadius;

  const MyButton({Key key,this.isLoading=false,this.borderRadius=12,this.color=Colors.deepOrange, this.width = 100, this.height =
  50, @required
  this
      .onPress,
    @required
    this.child}) : super
      (key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: height,
      child: RaisedButton(
        padding: EdgeInsets.all(0),
        color: color,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(borderRadius),
        ),
        onPressed: onPress,
        child: Center(child:isLoading?SpinKitCircle(color: Colors.white,size: height*0.8,): child,),
      ),
    );
  }
}
